/**********************************************************************************
* File: Lab_5_6_7.cmd -- File for Lab 5, 6 and 7 (Boot to SARAM boot mode)
* Devices: TMS320F28035
* Author: Technical Training Organization (TTO), Texas Instruments
* History:
*   09/15/09 - original
**********************************************************************************/

MEMORY
{
PAGE 0:    /* Program Memory */
   ????????        : origin = 0x??????, length = 0x??????     /* Part of M0SARAM.  Used for "Boot to M0" bootloader mode. */
   L0SARAM         : origin = 0x008000, length = 0x000800     /* L0 SARAM, CSM secure */
   L3DPSARAM       : origin = 0x009000, length = 0x001000     /* L3 DPSARAM, CSM secure, CLA Prog RAM */
   DEVICE_CAL      : origin = 0x3D7C80, length = 0x000040     /* Device_cal function in reserved memory */
   IQTABLES        : origin = 0x3FE000, length = 0x000B50     /* Part of Boot ROM */
   IQTABLES2       : origin = 0x3FEB50, length = 0x00008C     /* Part of Boot ROM */
   IQTABLES3       : origin = 0x3FEBDC, length = 0x0000AA     /* Part of Boot ROM */
   BOOTROM         : origin = 0x3FF27C, length = 0x000D44     /* Boot ROM */
   RESET           : origin = 0x3FFFC0, length = 0x000002     /* part of Boot ROM */

 PAGE 1 :   /* Data Memory */
   M0SARAM         : origin = 0x000000, length = 0x000400     /* M0 SARAM */
   M1SARAM         : origin = 0x000400, length = 0x000400     /* M1 SARAM */
   L1DPSARAM       : origin = 0x008800, length = 0x000400     /* L1 DPSARAM, CSM secure, CLA Data RAM 0 */
   L2DPSARAM       : origin = 0x008C00, length = 0x000400     /* L2 DPSARAM, CSM secure, CLA Data RAM 1 */
}

 
SECTIONS
{
/*** Compiler Required Sections ***/

  /* Program memory (PAGE 0) sections */
   .text             : > L0SARAM,               PAGE = 0
   .cinit            : > L0SARAM,               PAGE = 0
   .const            : > L0SARAM,               PAGE = 0
   .econst           : > L0SARAM,               PAGE = 0      
   .pinit            : > L0SARAM,               PAGE = 0
   .reset            : > RESET,                 PAGE = 0, TYPE = DSECT  /* We are not using the .reset section */
   .switch           : > L0SARAM,               PAGE = 0

  /* Data Memory (PAGE 1) sections */
   .bss              : > M0SARAM,               PAGE = 1
   .ebss             : > M0SARAM,               PAGE = 1
   .cio              : > M0SARAM,               PAGE = 1
   .stack            : > M1SARAM,               PAGE = 1
   .sysmem           : > M1SARAM,               PAGE = 1
   .esysmem          : > M1SARAM,               PAGE = 1

/*** User Defined Sections ***/
   codestart         : > BEGIN_M0,              PAGE = 0                /* Used by file CodeStartBranch.asm */
}

/******************* end of file ************************/
